Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class AttributeDefHelper

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.common.PropertiesHelper
                  |
                  +--oracle.jbo.common.AttributeDefHelper

public abstract class AttributeDefHelper
extends PropertiesHelper
implements AttributeDef

Internal: Applications should not use this class.

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties, timer`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Fields inherited from interface oracle.jbo.AttributeDef
`ATTR_ASSOCIATED_ROW, ATTR_ASSOCIATED_ROWITERATOR, ATTR_DYNAMIC, ATTR_ENTITY_DERIVED, ATTR_PERSISTENT, ATTR_SQL_DERIVED, ATTR_TRANSIENT, READONLY, UPDATEABLE, UPDATEABLE_WHILE_NEW`

Constructor Summary
`protected` | `AttributeDefHelper()`
`protected` | `AttributeDefHelper(java.lang.String nm, java.lang.String cnm, java.lang.String cnmForQuery, int idx, java.lang.String typ, int sqlType, byte kind, boolean isQueriable, boolean isFromReference, byte updateable, boolean primarykey, boolean mandatory, int precision, int scale)`

Method Summary
`byte` | `getAttributeKind()` Gets the attribute value.
`java.lang.String` | `getColumnName()` Gets the name of the database column the attribute represents.
`java.lang.String` | `getColumnNameForQuery()` Gets the column name to be used in query statement.
`int` | `getIndex()` Gets the index of the attribute in the context of a `StoreInfo` instance.
`java.lang.Class` | `getJavaType()` Gets the Java class of the object stored for this attribute definition.
`java.lang.String` | `getName()` Gets the name of the attribute.
`int` | `getPrecision()` Gets the precision of a numeric or string attribute.
`int` | `getScale()` Get the scale value of a numeric attribute.
`int` | `getSQLType()` Gets the JDBC type of the attribute.
`byte` | `getUpdateableFlag()` Tests if an attribute can be modified.
`boolean` | `isFromReference()`
`boolean` | `isMandatory()` Return true if this attribute does not allow null values.
`boolean` | `isPrimaryKey()` Tests if an attribute is a Primary Key.
`boolean` | `isQueriable()` Tests if an attribute is queriable.

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperties, getProperty, refreshProperty, setProperty`

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDefHelper

    protected AttributeDefHelper()

### AttributeDefHelper

    protected AttributeDefHelper(java.lang.String nm,
                                 java.lang.String cnm,
                                 java.lang.String cnmForQuery,
                                 int idx,
                                 java.lang.String typ,
                                 int sqlType,
                                 byte kind,
                                 boolean isQueriable,
                                 boolean isFromReference,
                                 byte updateable,
                                 boolean primarykey,
                                 boolean mandatory,
                                 int precision,
                                 int scale)
                          throws java.lang.ClassNotFoundException

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: AttributeDef
  Gets the name of the attribute.
  Specified by:
    getName in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    the name of the attribute.

### getColumnName

    public java.lang.String getColumnName()

  Description copied from interface: AttributeDef
  Gets the name of the database column the attribute represents.
  Specified by:
    getColumnName in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    the name of the column.

### getColumnNameForQuery

    public java.lang.String getColumnNameForQuery()

  Description copied from interface: AttributeDef
  Gets the column name to be used in query statement. If the VO involves multiple entity usages, the column name may have to be qualified with the table alias for the appropriate entity. If the query statement is a full query ("expert mode"), the where-clause in the outer select must use column alias used for the inner select. This method takes care of all this and returns the right column name to be used for a query statement.
  Specified by:
    getColumnNameForQuery in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    the column name to be used in query.

### getIndex

    public int getIndex()

  Description copied from interface: AttributeDef
  Gets the index of the attribute in the context of a `StoreInfo` instance.
  Specified by:
    getIndex in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    the index of the attribute row's definition object.

### getJavaType

    public java.lang.Class getJavaType()

  Description copied from interface: AttributeDef
  Gets the Java class of the object stored for this attribute definition.
  Specified by:
    getJavaType in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    the class of the attribute.

### getSQLType

    public int getSQLType()

  Description copied from interface: AttributeDef
  Gets the JDBC type of the attribute.
  Specified by:
    getSQLType in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    the JDBC type.
  See Also:
    `Types`

### getAttributeKind

    public byte getAttributeKind()

  Description copied from interface: AttributeDef
  Gets the attribute value.
  Specified by:
    getAttributeKind in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    one of the `ATTR` constants defined for this class.

### isQueriable

    public boolean isQueriable()

  Description copied from interface: AttributeDef
  Tests if an attribute is queriable.

  Queriable attributes are those that may have a filter condition for the WHERE clause If this method returns false, the attribute will not be used in constructing the WHERE clause of SQL statements to fetch data.

  Specified by:
    isQueriable in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    `true` if this attribute is queriable.

### isFromReference

    public boolean isFromReference()

### getUpdateableFlag

    public byte getUpdateableFlag()

  Description copied from interface: AttributeDef
  Tests if an attribute can be modified.
  Specified by:
    getUpdateableFlag in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    `READONLY`, `UPDATEABLE`, or `UPDATEABLE_WHILE_NEW`.

### isPrimaryKey

    public boolean isPrimaryKey()

  Description copied from interface: AttributeDef
  Tests if an attribute is a Primary Key.
  Specified by:
    isPrimaryKey in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    `true` if this is either a Primary Key attribute or part of the attributes that constitute the Primary Key for a given row.

### isMandatory

    public boolean isMandatory()

  Return true if this attribute does not allow null values.
  Specified by:
    isMandatory in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    `true` if this attribute cannot store a null value

### getPrecision

    public int getPrecision()

  Description copied from interface: AttributeDef
  Gets the precision of a numeric or string attribute.

  'Precision' for a string is the maximum length.

  Specified by:
    getPrecision in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    the precision value for this attribute.

### getScale

    public int getScale()

  Description copied from interface: AttributeDef
  Get the scale value of a numeric attribute.
  Specified by:
    getScale in interface AttributeDef
  Tags copied from interface: AttributeDef
  Returns:
    the scale value for this attribute, if applicable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD